Commit 1b0bfcaa authored by Natanael Copa's avatar Natanael Copa
Browse files

core/apk-tools: upgrade to 2.0_pre13

parent f47f66d1
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0_pre12
pkgrel=2
pkgver=2.0_pre13
pkgrel=0
pkgdesc="Alpine Package Keeper - package manager for alpine"
depends=
makedepends="zlib-dev"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
fd-leak.patch
fd-leak2.patch"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
url="http://git.alpinelinux.org/cgit/apk-tools/"
license=GPL-2
build() {
cd "$srcdir/$pkgname-$pkgver"
patch -p1 < ../fd-leak.patch || return 1
patch -p1 < ../fd-leak2.patch || return 1
sed -i -e 's:-Werror::' Make.rules
make || return 1
make DESTDIR="$pkgdir" install
......@@ -28,6 +24,4 @@ build() {
ln -s apk apk_version
}
md5sums="042d28b5cb8ddafe6add63766bc6c17a apk-tools-2.0_pre12.tar.bz2
66e915fb667e5ac382ecb801decf2c1c fd-leak.patch
aafaa226c07f97f46cefe42a9335ea35 fd-leak2.patch"
md5sums="76bec7ece7b210f2f2e1542d06333649 apk-tools-2.0_pre13.tar.bz2"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment